/*--------------------------------*-C-*--------------------------------------*
 * File:        utf8.h
 *---------------------------------------------------------------------------*
 * Code borrowed/stolen from `glibc-2.1.3/iconv/gconv_simple.c':
 * - Copyright (C) 1997, 1998, 1999, 2000 Free Software Foundation, Inc.
 * - This file is part of the GNU C Library.
 * - Contributed by Ulrich Drepper <drepper@cygnus.com>, 1997.
 * - Adapted for rxvt by Xianping Ge <xge@ics.uci.edu>, 2000.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *--------------------------------------------------------------------------*/
/*
 * Convert between UTF-8 string and UCS2 string formats.
 */
#ifndef UTF8_4_RXVT_H_
#define UTF8_4_RXVT_H_
u_int16_t      *utf8_to_ucs2(const unsigned char *str, int len, int *ucs2_len);
unsigned char  *ucs2_to_utf8(u_int16_t * ucs2_str, int len);
#endif /* UTF8_4_RXVT_H_ */
